For the complete documentation index, see llms.txt. This page is also available as Markdown.

Phones

List firmware templates

get

List IP phones template files

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/templates/phones

Create a new firmware template

post

Create a new firmware template into system.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filenamestringOptional

Template XML file name for phone provisioning.

contentstringOptional

The file content of the template.

Responses
201

Created

application/json
filenamestringOptional

Template XML file name for phone provisioning.

post/templates/phones

Retrieve details of firmware template

get

Retrieve details of template file by it's filename.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
filenamestringRequired

Template XML file name for phone provisioning.

Responses
200

OK

application/json
filenamestringOptional

Template XML file name for phone provisioning.

contentstringOptional

The file content of the template.

is_custombooleanOptional

Whether it's a customize template.

get/templates/phones/{filename}

Update firmware template

post

Update phone template.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
filenamestringRequired

Template XML file name for phone provisioning.

Body
contentstringOptional

The file content of the template.

Responses
200

OK

No content

post/templates/phones/{filename}

No content

Was this helpful?